MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002171VCMIOtherpublic2015-04-05 15:242016-09-04 08:12
ReporterPenitent_Exile 
Assigned ToAVS 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Platformx64OSWinOS Version8
Product Version0.98 
Target VersionFixed in Version0.99 
Summary0002171: Crash when loading save
DescriptionI started playing campaign and after a while game crashed and I couldn't load saves anymore, because the game constantly crashes. The only save that worked was made soon after new game start, with one hero and one castle (idk, maybe that matters).
Additional InformationPic with console output attached
TagsNo tags attached.
Attached Filesjpg file icon Bug_WorldView.jpg [^] (176,156 bytes) 2015-04-05 15:24


? file icon Autosave_1.vcgm1 [^] (3,474,940 bytes) 2015-04-05 15:24
? file icon Autosave_1.vsgm1 [^] (3,475,864 bytes) 2015-04-05 15:25

- Relationships
duplicate of 0002314resolvedAVS Crashes related to bonus system in deserializationFix 
related to 0002158closedAVS I can't load save 

-  Notes
(0005692)
Penitent_Exile (reporter)
2015-04-05 15:28

The attached save causes the crash
(0005698)
Fay (developer)
2015-04-09 20:04

I tried to load this; looks like the last element of allBonuses is a corrupted/deallocated pointer.

0 CBonusSystemNode::limitBonuses HeroBonus.cpp 1071 0x65078ac0
1 CBonusSystemNode::getAllBonuses HeroBonus.cpp 654 0x6507d61a
2 IBonusBearer::getBonuses HeroBonus.cpp 387 0x6507697c
3 IBonusBearer::hasBonus HeroBonus.cpp 347 0x65077d80
4 IBonusBearer::hasBonusOfType HeroBonus.cpp 359 0x6507adf3
5 CGWhirlpool::isProtected MiscObjects.cpp 1117 0x64fc244f
6 CPathfinder::CPathfinder CGameState.cpp 3574 0x6509b640
7 CGameState::calculatePaths CGameState.cpp 2169 0x650a6392
8 CClient::getPathsInfo Client.cpp 814 0x4b5ecd
9 CPlayerInterface::serializeTempl<CISer> CPlayerInterface.cpp 1286 0x558e4e
10 CPlayerInterface::loadGame CPlayerInterface.cpp 1305 0x4e4c4a
11 CClient::serialize Client.cpp 633 0x4bd1ad
12 CClient::loadGame Client.cpp 338 0x4be0e7
13 startGame CMT.cpp 1232 0x4c6170
14 __call<void, 0u, 1u> functional 1264 0x614a98
15 operator()<, void> functional 1323 0x614a98
16 std::_Function_handler<void (), std::_Bind<void (*(StartInfo*, CConnection*))(StartInfo*, CConnection*)>>::_M_invoke(std::_Any_data const&) functional 2039 0x614a98
17 std::function<void ()>::operator()() const functional 2439 0x60df70
18 boost::(anonymous namespace)::thread_start_function(void*)*4 0x53e382
19 boost::(anonymous namespace)::ThreadProxy(void*)*4 0x53cd93
20 KERNEL32!BaseThreadInitThunk C:\Windows\syswow64\kernel32.dll 0x76ba338a
... <More>
(0006232)
SXX (administrator)
2015-12-25 11:55

Another duplicate of 0002314.
(0006609)
SXX (administrator)
2016-09-04 08:12

Fixed by PR202. For more details or comments please check 0002314

- Issue History
Date Modified Username Field Change
2015-04-05 15:24 Penitent_Exile New Issue
2015-04-05 15:24 Penitent_Exile File Added: Bug_WorldView.jpg
2015-04-05 15:24 Penitent_Exile File Added: Autosave_1.vcgm1
2015-04-05 15:25 Penitent_Exile File Added: Autosave_1.vsgm1
2015-04-05 15:28 Penitent_Exile Note Added: 0005692
2015-04-06 13:31 Povelitel Relationship added related to 0002158
2015-04-09 20:04 Fay Note Added: 0005698
2015-12-25 11:55 SXX Relationship added duplicate of 0002314
2015-12-25 11:55 SXX Note Added: 0006232
2016-09-04 08:12 SXX Note Added: 0006609
2016-09-04 08:12 SXX Status new => resolved
2016-09-04 08:12 SXX Fixed in Version => 0.99
2016-09-04 08:12 SXX Resolution open => fixed
2016-09-04 08:12 SXX Assigned To => AVS

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean